CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions
CommandMessengerTests.DoubleConverter Class Reference

A class to allow the conversion of doubles to string representations of their exact decimal values. The implementation aims for readability over efficiency. More...

List of all members.

## Classes
class | ArbitraryDecimal
| Private class used for manipulating.
## Static Public Member Functions
static string | ToExactString (double d)
| Converts the given double to a string representation of its exact decimal value.

## Detailed Description

A class to allow the conversion of doubles to string representations of their exact decimal values. The implementation aims for readability over efficiency.

## Member Function Documentation

static string CommandMessengerTests.DoubleConverter.ToExactString | ( | double | d | ) | `[static]`

Converts the given double to a string representation of its exact decimal value.

Parameters:

  d | The double to convert.

Returns:
  A string representation of the double's exact decimal value.</return>

Construct a new decimal expansion with the mantissa

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessengerTests/Tests/DoubleConverter.cs